OSDN Git Service

- pull check-lxdialog.sh from linux-2.6.26
authorBernhard Reutner-Fischer <rep.dot.nop@gmail.com>
Wed, 27 Aug 2008 07:32:11 +0000 (07:32 -0000)
committerBernhard Reutner-Fischer <rep.dot.nop@gmail.com>
Wed, 27 Aug 2008 07:32:11 +0000 (07:32 -0000)
extra/config/lxdialog/check-lxdialog.sh

index 62e1e02..5552154 100755 (executable)
@@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15
 
 # Check if we can link to ncurses
 check() {
-       echo -e " #include CURSES_LOC \n main() {}" |
-           $cc -xc - -o $tmp 2> /dev/null
+        $cc -xc - -o $tmp 2>/dev/null <<'EOF'
+#include CURSES_LOC
+main() {}
+EOF
        if [ $? != 0 ]; then
            echo " *** Unable to find the ncurses libraries or the"       1>&2
            echo " *** required header files."                            1>&2